
#include <TCHAR.h>
#include <math.h>

#include "GDSIIInterface.h"
#include "GDSIIConst.h"

#pragma comment(lib, "GDSIIExporter.lib")

#define pt 200

int _tmain(int argc, _TCHAR* argv[])
{
	HANDLE hnd;
	int x1[pt];
	int y1[pt];
	
	char *src="Test.gds";
	int x[]={110,210,327,200,600,700,880,1000};
	int y[]={0,100,250,150,300,440,900,800};
	int xb[]={110,210,327,550};
	int yb[]={0,200,250,170};

	int xar[]={0,1100,0};
	int yar[]={0,0,1000};

	//To build SIN graph
	double k;
	for(int i=0; i<pt; i++)
	{
		k=i/10.;
		x1[i]=i*10;
		y1[i]=long(500+sin(k)*500);
	}
		
	//Beging GDS 
	GDS_BeginLib(src, 1e-3, 1e-9, &hnd);
		GDS_BeginStructure(hnd, "str1");
       		GDS_Box(hnd, 105, 105,  205, 205,0,10, 0, 0);
			GDS_BoxWH(hnd, 250, 105,  200, 300,0,10, 0, 0);
			GDS_Square(hnd, 500, 105, 400,0,0,0,0);
					
			GDS_Path( hnd, x, y, 8 ,10, 1,63, PATHTYPE1, 0, PLEX_HEAD);
			GDS_Path(hnd, x1, y1, pt ,5, 1,63, PATHTYPE1,ELFLAGS_TEMPLATE,0);
			GDS_Boundary(hnd,  xb, yb, 4 ,1, 61, 0, 0);
			GDS_Text(hnd,  100, 100, "http://www.EquTranslator.com", 1, 4,
					PRESENT_HCENTER |PRESENT_VBOTTOM, PATHTYPE1, 0, STRANS_0,
					0.1, 0, 0, 0);
			GDS_Text(hnd,  100, 300, "GDSIIExporter", 1, 4,
					PRESENT_HCENTER |PRESENT_VBOTTOM, PATHTYPE1, 0, STRANS_0,
					0.1, 0, 0, 0);
			GDS_Text(hnd,  100, 500, "Copyright Vitaliy Golub", 1, 4,
					PRESENT_HLEFT |PRESENT_VBOTTOM, PATHTYPE1, 0, STRANS_0,
					0.05, 45, 0, 0);
			
			GDS_Circle(hnd, 1500, 1000, 1000, 150, 0,0,0,0);
			GDS_Circle(hnd, 1000, 1500, 1000, 7, 0,0,0,0);
		
			GDS_Arc(hnd, 100, 150, 1000, 45, 178, 135,40, 0, 0, PATHTYPE1,0,0);
			GDS_Arc(hnd, 400, 300, 600, 120, 270, 100,40, 0, 0, PATHTYPE2,0,0);
			GDS_Sector(hnd, 1000, 1500, 1050, 30, 185,100, 0,0,0,0);
			GDS_Sector(hnd, 1000, 1000, 800, 120, 290,199, 0,0,0,0);
			GDS_Square(hnd, 500, 500, 400,0,0,0,0);
		GDS_EndStructure(hnd);
	
	GDS_EndLib(hnd);
	return 0;
}



	
